<template>
  <mt-modal :ouvert.sync="ouvert" @close="close">
    <section class="carte">
      <div class="cell-pastille row-3 row-1-mobile is-hidden-mobile">
        <mt-pastille size="43px">{{ utilisateur.initial }}</mt-pastille>
      </div>
      <div class="cell-nom column-2 ">
        <span class="has-text-weight-bold is-size-4">
          <mt-utilisateur :utilisateur="utilisateur"
            ><b-icon v-if="!utilisateur.enabled && utilisateur.enabled != null" icon="lock"
          /></mt-utilisateur>
        </span>
      </div>
      <div class="cell-flag row-2 is-hidden-mobile">
        <b-icon icon="flag"></b-icon>
      </div>
      <div class="cell-generique column-2-mobile">
        <ul>
          <li v-for="organisme in organismes" :key="organisme.id">
            {{ organisme.libelle }}
          </li>
        </ul>
      </div>
      <div class="cell-generique column-2-mobile">
        <div>{{ utilisateur.email }}<br />{{ utilisateur.telephone }}</div>
      </div>
    </section>
  </mt-modal>
</template>

<script>
import MtModal from '~/components/modal/mt-modal';
import MtPastille from '~/components/base/pastille/index';
import MtUtilisateur from '~/components/pax/mt-utilisateur';

export default {
  name: 'MtInfosPerso',
  components: {
    MtUtilisateur,
    MtPastille,
    MtModal,
  },
  props: {
    ouvert: {
      type: Boolean,
      default: false,
      required: true,
    },
    utilisateur: {
      type: Object,
      default: () => ({}),
    },
    organismes: {
      type: Array,
      default: () => [],
    },
  },
  methods: {
    close() {
      this.$emit('update:ouvert', false);
    },
  },
};
</script>

<style scoped lang="scss">
@import '../../assets/css/variables';
.row-2 {
  grid-row: 2 span;
}
.row-3 {
  grid-row: 3 span;
}
.column-2 {
  grid-column: 2 span;
}
.column-3 {
  grid-column: 3 span;
}

.carte {
  display: grid;
  grid-template-columns: auto auto 1fr;
  background-color: $white;
  color: $grey-dark;

  .cell-pastille {
    padding: 0.4rem 1rem 0 1rem;
  }
  .cell-flag {
    color: $grey;
    padding-right: 0.75rem;
  }
  .cell-nom {
    padding-bottom: 0.5em;
  }
  .cell-separateur {
    hr {
      border-bottom: solid 1px $pale-grey-two-2;
      margin: 3rem 0;
    }
  }
  .cell-generique {
    align-items: center;
    padding-bottom: 1rem;
  }
}
@media screen and (max-width: 768px) {
  .carte {
    margin: 0;
    padding-left: 0;
    padding-right: 0;

    .cell-separateur {
      hr {
        margin: 1rem 0;
      }
    }
    .cell-generique {
      grid-template-columns: 1fr;
    }
  }

  .column-2-mobile {
    grid-column: 2 span;
  }

  .column-1-mobile {
    grid-column: 1 span;
  }

  .row-1-mobile {
    grid-row: 1 span;
  }
}
</style>
